Package org.eclipse.cdt.core.templateengine.process.processes

# Class CreateResourceIdentifier

java.lang.Object
org.eclipse.cdt.core.templateengine.process.ProcessRunner
org.eclipse.cdt.core.templateengine.process.processes.CreateResourceIdentifier

public class CreateResourceIdentifier extends ProcessRunner
Creates a template macro value that can be used as a pseudo-unique resource identifier. It is based on the name of the application and is in the form of four capital letters. e.g. Helloworld => HELL

## Constructor Summary

Constructors
Constructor
Description
`CreateResourceIdentifier()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(TemplateCore template, ProcessArgument[] args, String processId, org.eclipse.core.runtime.IProgressMonitor monitor)`

### Methods inherited from class org.eclipse.cdt.core.templateengine.process.ProcessRunner

`areArgumentsMatchingRequiredParameters, getArgumentsMismatchMessage, getProcessMessage, getProcessParameters, missingArgException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CreateResourceIdentifier

public CreateResourceIdentifier()

## Method Details

### process

public void process(TemplateCore template, ProcessArgument[] args, String processId, org.eclipse.core.runtime.IProgressMonitor monitor) throws ProcessFailureException

Specified by:
  `process` in class `ProcessRunner`
Parameters:
  `template` -
  `args` -
  `processId` -
Throws:
  `ProcessFailureException`